#pragma once

#include "Thing.h"

namespace Passer {
namespace RoboidControl {

/// @brief A digital (on/off, 1/0, true/false) sensor
class DigitalSensor : public Thing {
 public:
  /// @brief The sigital state
  bool state = 0;

  /// @brief The default constructor
  DigitalSensor();
  /// @brief Create a temperature sensor with the given ID
  /// @param networkId The network ID of the sensor
  /// @param thingId The ID of the thing
  DigitalSensor(unsigned char networkId, unsigned char thingId);
};

}  // namespace RoboidControl
}  // namespace Passer